libmodule-pluggable-perl_5.1-1_all.deb


Advertisement

Description

libmodule-pluggable-perl - module for giving modules the ability to have plugins

Property Value
Distribution Debian 8 (Jessie)
Repository Debian Main amd64
Package name libmodule-pluggable-perl
Package version 5.1
Package release 1
Package architecture all
Package type deb
Installed size 91 B
Download size 24.42 KB
Official Mirror ftp.br.debian.org
Module::Pluggable provides a simple but, hopefully, extensible way of having
'plugins' for your module. Essentially all it does is export a method into
your namespace that looks through a search path for .pm files and turn those
into class names. Optionally it instantiates those classes for you.

Alternatives

Package Version Architecture Repository
libmodule-pluggable-perl_5.1-1_all.deb 5.1 all Debian Main
libmodule-pluggable-perl - - -

Requires

Name Value
perl -

Download

Type URL
Binary Package libmodule-pluggable-perl_5.1-1_all.deb
Source Package libmodule-pluggable-perl

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libmodule-pluggable-perl deb package:
    # sudo apt-get install libmodule-pluggable-perl

Files

Path
/usr/share/doc/libmodule-pluggable-perl/changelog.Debian.gz
/usr/share/doc/libmodule-pluggable-perl/changelog.gz
/usr/share/doc/libmodule-pluggable-perl/copyright
/usr/share/man/man3/Devel::InnerPackage.3pm.gz
/usr/share/man/man3/Module::Pluggable.3pm.gz
/usr/share/man/man3/Module::Pluggable::Object.3pm.gz
/usr/share/perl5/Devel/InnerPackage.pm
/usr/share/perl5/Module/Pluggable.pm
/usr/share/perl5/Module/Pluggable/Object.pm

Changelog

2014-01-11 - gregor herrmann <gregoa@debian.org>
libmodule-pluggable-perl (5.1-1) unstable; urgency=medium
* New upstream release.
* Update years of packaging copyright.
* Fix typos in long description.
* Add build dependency on libapp-fatpacker-perl (used in a test).
* Declare compliance with Debian Policy 3.9.5.
2013-09-06 - gregor herrmann <gregoa@debian.org>
libmodule-pluggable-perl (4.8-1) unstable; urgency=low
* New upstream release.
2013-05-20 - gregor herrmann <gregoa@debian.org>
libmodule-pluggable-perl (4.7-1) unstable; urgency=low
* Initial Release. (Closes: #707979)

See Also

Package Description
libmodule-reader-perl_0.002003-1_all.deb module to read the source of a module like perl does
libmodule-refresh-perl_0.17-1_all.deb tool to refresh %INC files when updated on disk
libmodule-runtime-conflicts-perl_0.001-1_all.deb module to provide information on conflicts for Module::Runtime
libmodule-runtime-perl_0.014-1_all.deb Perl module for runtime module handling
libmodule-scandeps-perl_1.16-1_all.deb module to recursively scan Perl code for dependencies
libmodule-signature-perl_0.73-1+deb8u2_all.deb module to manipulate CPAN SIGNATURE files
libmodule-starter-pbp-perl_0.0.3-1_all.deb Perl module to create new perl modules following best practices
libmodule-starter-perl_1.620+dfsg-1_all.deb simple starter kit for Perl modules
libmodule-starter-plugin-cgiapp-perl_0.42-1_all.deb template based module starter for CGI apps
libmodule-starter-plugin-simplestore-perl_0.144-1_all.deb template storage methods for Module::Starter
libmodule-starter-plugin-tt2-perl_0.125-1_all.deb module providing Template toolkit support for Module::Starter
libmodule-starter-smart-perl_0.0.5-1_all.deb Module::Starter plugin to add new modules into existing distributions
libmodule-used-perl_1.3.0-1_all.deb library to detect modules loaded by Perl code without running it
libmodule-util-perl_1.09-1_all.deb Perl module to manipulate Perl module names
libmodule-versions-report-perl_1.06-1_all.deb Report versions of all modules in memory
Advertisement
Advertisement